Skip to main content
`Ctrl`+`K`

# MatDenseRestoreArrayAndMemType

returns access to the array that is obtained by `MatDenseGetArrayAndMemType()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseRestoreArrayAndMemType(Mat A, PetscScalar *array[])

Logically Collective

## Input Parameters

- A - a dense matrix

- array - pointer to the data

## See Also

Matrices, `Mat`, `MATDENSE`, `MatDenseGetArrayAndMemType()`, `MatDenseGetArray()`, `MatDenseGetArrayRead()`, `MatDenseRestoreArrayRead()`, `MatDenseGetArrayWrite()`, `MatDenseRestoreArrayWrite()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/dense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages